Subject: Re: RPM installer (was Re: SETUP WIZARD FOR CYGWIN?XFREE86)
From: Robert Collins <[email-masked]>
To: egor duda <[email-masked]>
Cc: Dario Alcocer <[email-masked]>
Date: 28 Jul 2001 00:36:21 +1000

On 27 Jul 2001 16:55:57 +0400, egor duda wrote:
> Hi!
> 
> Friday, 27 July, 2001 Robert Collins [email-masked] wrote:
> 
> RC> On 26 Jul 2001 17:49:50 -0700, Dario Alcocer wrote:
> >> >>>>> "Robert" == Robert Collins <[email-masked]> writes:
> >> 
> >>     Robert> As Chuck has mentioned, that cygwin1.dll should have a
> >>     Robert> different shared memory region identifier, to prevent
> >>     Robert> crashes :}.
> >> 
> >> Just curious; can't we avoid a specially built version of cygwin1.dll
> >> by making sure that cygwin1.dll isn't loaded when the installer runs?
> >> Making a special verion of cygwin1.dll could add more confusion.
> RC> What if:
> RC> the irt cygwin1.dll is incompatible with the installed, running
> RC> cygwin1.dll - so that any attempt to call cygwin1.dll functions (which
> RC> the irt uses?) results in a crash.
> RC> I covered ina different reply the mechanics of a different shared memory
> RC> identifier.
> 
> if you run x:\some\temp\path\ash.exe and x:\some\temp\path\ contains
> cygwin1.dll is _doesn't_ matter if any other program is running from
> c:\cygwin\bin and using incompatible version of cygwin1.dll from
> c:\cygwin\bin\, as long as you're taking care about shared memory
> region name.

Yes - precisely my point :]. (Dario asked about avoiding having a
different shared memory region name).

> when x:\some\temp\path\ash.exe is calling some function from
> cygwin1.dll, it's taken from the x:\some\temp\path\cygwin1.dll
> 
> RC> Yes, thats good - however the reboot needs to use the replace on reboot
> RC> mechanism - see below.
> 
> well, this is an issue with _any_ installer, including current
> setup.exe I can't see why we're paying so much attention in context of
> "RPM installer". It's generic problem (probably) worth separate
> discussion.

And it's been discussed to some degree on the developers list. And we
came to the no-time conclusion :/. It is generic, yes...

> RC> As an aside, cygwin-the-distro to me is a lot closer to debian GNU/Linux
> RC> than Redhat GNU/Linux - the constantly evolving packages, with firm
> RC> policies on quality and responsibility. From that angle, I'd like to see
> RC> the current "run-setup every now and then, download the new stuff, and
> RC> watch it install" process remain, a
> 
> this will remain as it is currently (if i understand things
> correctly). RPM is good for tracking dependencies, checking
> installation integrity, signature verification etc. -- the issues
> current setup doesn't address or partially address.

Hmmm.. yes. Although rpm is actually mediocre at dependencies (IIRC it
uses filepath+name rather than a feature). The point being that a
"rpmfind" database is then needed, rather than the current setup.exe (if
this or a simialr tcl/tk+rpm installer is adopted).

Rob

> 
> Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/